> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload context files during agent setup

> Upload one or more files (up to 10) to provide context during agent setup. Supported file types include documents (txt, csv, pdf, xls, xlsx, docx, doc, ppt, pptx) and images (png, jpeg, jpg, tiff, heif, bmp).



## OpenAPI

````yaml post /agent-setup/upload
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-setup/upload:
    post:
      tags:
        - Agent Setup
      summary: Upload context files during agent setup
      description: >-
        Upload one or more files (up to 10) to provide context during agent
        setup. Supported file types include documents (txt, csv, pdf, xls, xlsx,
        docx, doc, ppt, pptx) and images (png, jpeg, jpg, tiff, heif, bmp).
      operationId: BeamAgentController_uploadFiles
      parameters:
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: Files to upload with thread ID
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - threadId
                - files
              properties:
                threadId:
                  type: string
                  format: uuid
                  description: UUID of the conversation thread
                  example: 1a2036c0-d533-4636-8f51-2a811763ef5c
                files:
                  type: array
                  items:
                    type: string
                    format: binary
                  description: Array of files to upload (maximum 10 files)
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentChatFile'
      security:
        - x-api-key: []
components:
  schemas:
    AgentChatFile:
      type: object
      properties:
        name:
          type: string
          description: Name of the chat file.
        src:
          type: string
          description: Source path of the file.
        fileKey:
          type: string
          description: Storage key for the file.
        threadId:
          type: string
          description: UUID of the associated thread.
        url:
          type: string
          description: URL of the file.
        mimeType:
          type: string
          description: MIME type of the file.
        uploadStatus:
          enum:
            - processing
            - uploaded
            - failed
          type: string
          description: Upload status of the file.
        uploadSource:
          enum:
            - file_upload
            - text_snippet
            - url_upload
          type: string
          description: Source of the upload.
        userId:
          type: string
          description: UUID of the user.
        user:
          $ref: '#/components/schemas/User'
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - name
        - threadId
        - uploadStatus
        - uploadSource
        - id
        - createdAt
        - updatedAt
    User:
      type: object
      properties:
        name:
          type: string
          description: Full name of the user.
          example: John Doe
        avatarSrc:
          type: string
          description: URL to the user profile avatar image.
          example: https://example.com/avatars/user123.png
        email:
          type: string
        cognitoUserId:
          type: string
        socialProvider:
          type: string
        socialProviderId:
          type: string
        password:
          type: string
        paymentProviderCustomerId:
          type: string
        rememberToken:
          type: string
        emailVerified:
          type: boolean
        referralCode:
          type: string
        role_name:
          type: string
        isInternalUser:
          type: boolean
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - name
        - email
        - cognitoUserId
        - role_name
        - isInternalUser
        - id
        - createdAt
        - updatedAt
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````